<!DOCTYPE html>
<html lang="en" xmlns:th="https://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Ship Details</title>
</head>
<body>
    <h1 th:text="${ship.name} + ' (' + ${ship.buildYear} + ')'"></h1>
    <img th:alt="${ship.name}" th:src="${ship.imgLink}" style="width: 30vw">
    <h2>Crewmates</h2>
    <div th:each="crewmate : ${ship.crewmateList}">
        <h3 th:text="${crewmate.firstName}"></h3>
        <p th:text="${crewmate.hiddenTalent}"></p>
        <form th:action="@{/delete-crewmate(crewId=${crewmate.id})}" method="post">
            <input type="submit" value="Delete">
        </form>
    </div>
    <a href="/">Back to Home</a>
</body>
</html>